<?php
/*
copyright: copyright 2004 Php Image Host. All Rights Reserved. You may modify this file for use on your
					site running a licenced copy of the Php Image Host scripts.
					You must not distribute this file or derivations of it.
Nullified By CrAcKlOvE
*/
require_once(dirname(__FILE__).'/includes/config.inc.php');
require_once(dirname(__FILE__).'/../classes/paypalpayments.class.php');

$payments =& new paypalpayments($ace);

$pid = $ace->getint('p', $_REQUEST);
$payment = 0;
if( $pid != 0 ){
	$ps = $payments->getpayments(array('id'=>$pid));
	if( count($ps) > 0 ) $payment = $ps[0];
}

?>
<html>
<head>
<title><?php echo $payment == 0 ? 'Invalid Payment Id#' : 'Payment Transaction Id# '.htmlspecialchars($payment->txn_id);?></title>
<link rel="stylesheet" type="text/css" href="styles.css" />
</head>
<body>
<?php if( $payment != 0 ){ ?>
<div style="text-align: center; font-weight: bold;">Payment Data For Transaction Id# <?php echo htmlspecialchars($payment->txn_id);?></div><br /><br />
<table class="formtable" cellspacing="1" cellpadding="0" border="0" align="center" style="background-color: #555555;">
<tr>
	<th>PayPal Variable</th>
	<th>Paypal Value</th>
</tr>
<?php
	$data = unserialize($payment->paypal_data);
	$tr = 1;
	foreach( $data as $d=>$v ){
		if( !is_array($v ) ){
			$tr = 1-$tr;
?>
<tr class="tr<?php echo ($tr+1);?>">
	<td style="font-weight: bold; text-align: left;"><?php echo htmlspecialchars($d);?></td>
	<td style="text-align: left;"><?php echo htmlspecialchars($v);?></td>
</tr>
<?php
		}
	}
?>
</table>
<?php }else{ ?>
<div style="text-align: center; font-weight: bold;">Invalid Payment Id#</div><br /><br />
<?php } ?>
<div style="margin-top: 30px; text-align: center;">
<a onClick="window.close();" href="#">Close Window</a>
</div>
</body>
</html>
